> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch List of Redirects

> Retrieves a list of all URL redirects based on the given query parameters.



## OpenAPI

````yaml /api-reference/funnels/openapi.json get /funnels/lookup/redirect/list
openapi: 3.0.0
info:
  title: Funnels API
  description: Documentation for funnels API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Funnels
    description: Documentation for funnels API
  - name: Builder
    description: Documentation for funnels API
  - name: Products
    description: Documentation for funnels API
  - name: Prices
    description: Documentation for funnels API
  - name: Integrations
    description: Documentation for funnels API
paths:
  /funnels/lookup/redirect/list:
    get:
      summary: Fetch List of Redirects
      description: >-
        Retrieves a list of all URL redirects based on the given query
        parameters.
      operationId: fetch-redirects-list
      parameters:
        - name: locationId
          required: true
          in: query
          schema:
            type: string
            example: 6p2RxpgtMKQwO3E6IUaT
        - name: Search
          required: true
          in: query
          schema:
            type: string
            example: example.com
        - name: limit
          required: true
          in: query
          schema:
            example: 20
            type: number
        - name: offset
          required: true
          in: query
          schema:
            example: 10
            type: number
      responses:
        '200':
          description: Successful response - List of URL redirects returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedirectListResponseDTO'
        '422':
          description: Unprocessable Entity - The provided data is invalid or incomplete
      security:
        - Location-Access:
            - funnels/redirect.readonly
components:
  schemas:
    RedirectListResponseDTO:
      type: object
      properties:
        data:
          type: object
          example:
            count: 42
            data: []
          description: >-
            Object containing the count of redirects and an array of redirect
            data
      required:
        - data

````